<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/Firearms/Weapon_Base.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/df2/_weapon___base_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle"><div class="title">Weapon_Base.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../de/df2/_weapon___base_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/d74/class_ability_record.html">AbilityRecord</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">pair ( action, actionType )  <a href="../../d9/d74/class_ability_record.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/de5/class_weapon.html">Weapon</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">script counterpart to engine's class <a class="el" href="../../db/de5/class_weapon.html" title="script counterpart to engine&#39;s class Weapon">Weapon</a>  <a href="../../db/de5/class_weapon.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ae7974029cd340a223e92da71d54f6791"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="../../d0/deb/namespace_3global_scope_4.html#d8/d41/class_f_s_m_transition">FSMTransition</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/df2/_weapon___base_8c.html#ae7974029cd340a223e92da71d54f6791">WeaponEventBase</a></td></tr>
<tr class="separator:ae7974029cd340a223e92da71d54f6791"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a646b9c10ccd03a1e00422b63adf74949"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="../../d0/deb/namespace_3global_scope_4.html#d8/d41/class_f_s_m_transition">FSMTransition</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/df2/_weapon___base_8c.html#a646b9c10ccd03a1e00422b63adf74949">WeaponActionBase</a></td></tr>
<tr class="separator:a646b9c10ccd03a1e00422b63adf74949"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad9c748f817f5536f4f2bfd213b4afc1"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="../../d0/deb/namespace_3global_scope_4.html#d8/d41/class_f_s_m_transition">FSMTransition</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a></td></tr>
<tr class="separator:aad9c748f817f5536f4f2bfd213b4afc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:a75cb9956af28760c53ebba36b0a0af17"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/df2/_weapon___base_8c.html#a75cb9956af28760c53ebba36b0a0af17">FSMTransition</a> { <br />
&#160;&#160;<a class="el" href="../../de/df2/_weapon___base_8c.html#a75cb9956af28760c53ebba36b0a0af17ac157bdf0b85a40d2619cbc8bc1ae5fe2">NONE</a> = 0
, <a class="el" href="../../de/df2/_weapon___base_8c.html#a75cb9956af28760c53ebba36b0a0af17a324cd36c95f62a5e2419d29282a8dc02">CHAMBER</a> = 1
, <a class="el" href="../../de/df2/_weapon___base_8c.html#a75cb9956af28760c53ebba36b0a0af17a74c1856048d12ac105628ff3580861e4">CHAMBER_RNG</a> = 2
, <a class="el" href="../../de/df2/_weapon___base_8c.html#a75cb9956af28760c53ebba36b0a0af17a3dfa463fc7c948bf06cfa856549fce31">CHAMBER_RNG_SPORADIC</a> = 4
, <br />
&#160;&#160;<a class="el" href="../../de/df2/_weapon___base_8c.html#a75cb9956af28760c53ebba36b0a0af17a699c6f4f9da23da905dad9b1ee654536">QUANTITY_RNG</a> = 8
, <a class="el" href="../../de/df2/_weapon___base_8c.html#a75cb9956af28760c53ebba36b0a0af17afebd5e3fb66302a127db9871403f2595">AMMO_MAG_RNG</a> = 16
, <a class="el" href="../../de/df2/_weapon___base_8c.html#a75cb9956af28760c53ebba36b0a0af17a165248d28fbe49e494380c72e9db7c02">AMMO_CHAMBER_RNG</a> = 32
, <a class="el" href="../../de/df2/_weapon___base_8c.html#a75cb9956af28760c53ebba36b0a0af17a63b1e1107193fa3f5a64324b64056604">MAX_CAPACITY_MAG</a> = 64
<br />
 }</td></tr>
<tr class="separator:a75cb9956af28760c53ebba36b0a0af17"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="a646b9c10ccd03a1e00422b63adf74949" name="a646b9c10ccd03a1e00422b63adf74949"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a646b9c10ccd03a1e00422b63adf74949">&#9670;&#160;</a></span>WeaponActionBase</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef  enum <a class="el" href="../../d0/deb/namespace_3global_scope_4.html#d8/d41/class_f_s_m_transition">FSMTransition</a> <a class="el" href="../../d3/ddb/class_weapon_action_base.html">WeaponActionBase</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae7974029cd340a223e92da71d54f6791" name="ae7974029cd340a223e92da71d54f6791"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7974029cd340a223e92da71d54f6791">&#9670;&#160;</a></span>WeaponEventBase</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef  enum <a class="el" href="../../d0/deb/namespace_3global_scope_4.html#d8/d41/class_f_s_m_transition">FSMTransition</a> <a class="el" href="../../d7/db7/class_weapon_event_base.html">WeaponEventBase</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aad9c748f817f5536f4f2bfd213b4afc1" name="aad9c748f817f5536f4f2bfd213b4afc1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad9c748f817f5536f4f2bfd213b4afc1">&#9670;&#160;</a></span>WeaponTransition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef  enum <a class="el" href="../../d0/deb/namespace_3global_scope_4.html#d8/d41/class_f_s_m_transition">FSMTransition</a> <a class="el" href="../../de/df2/_weapon___base_8c.html#aad9c748f817f5536f4f2bfd213b4afc1">WeaponTransition</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="a75cb9956af28760c53ebba36b0a0af17" name="a75cb9956af28760c53ebba36b0a0af17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75cb9956af28760c53ebba36b0a0af17">&#9670;&#160;</a></span>FSMTransition</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../d0/deb/namespace_3global_scope_4.html#d8/d41/class_f_s_m_transition">FSMTransition</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a75cb9956af28760c53ebba36b0a0af17ac157bdf0b85a40d2619cbc8bc1ae5fe2" name="a75cb9956af28760c53ebba36b0a0af17ac157bdf0b85a40d2619cbc8bc1ae5fe2"></a>NONE&#160;</td><td class="fielddoc"><p >Attached magazine will be full and no round will be chambered. </p>
</td></tr>
<tr><td class="fieldname"><a id="a75cb9956af28760c53ebba36b0a0af17a324cd36c95f62a5e2419d29282a8dc02" name="a75cb9956af28760c53ebba36b0a0af17a324cd36c95f62a5e2419d29282a8dc02"></a>CHAMBER&#160;</td><td class="fielddoc"><p >Chambers bullets. </p>
</td></tr>
<tr><td class="fieldname"><a id="a75cb9956af28760c53ebba36b0a0af17a74c1856048d12ac105628ff3580861e4" name="a75cb9956af28760c53ebba36b0a0af17a74c1856048d12ac105628ff3580861e4"></a>CHAMBER_RNG&#160;</td><td class="fielddoc"><p >Maybe chambers bullets (sequential rng) example: 1 1 1 0 0 0. </p>
</td></tr>
<tr><td class="fieldname"><a id="a75cb9956af28760c53ebba36b0a0af17a3dfa463fc7c948bf06cfa856549fce31" name="a75cb9956af28760c53ebba36b0a0af17a3dfa463fc7c948bf06cfa856549fce31"></a>CHAMBER_RNG_SPORADIC&#160;</td><td class="fielddoc"><p >Maybe chambers bullets (full random) example: 0 1 0 0 1 1. </p>
</td></tr>
<tr><td class="fieldname"><a id="a75cb9956af28760c53ebba36b0a0af17a699c6f4f9da23da905dad9b1ee654536" name="a75cb9956af28760c53ebba36b0a0af17a699c6f4f9da23da905dad9b1ee654536"></a>QUANTITY_RNG&#160;</td><td class="fielddoc"><p >Randomizes the quantity of the bullets in the spawned magazine. </p>
</td></tr>
<tr><td class="fieldname"><a id="a75cb9956af28760c53ebba36b0a0af17afebd5e3fb66302a127db9871403f2595" name="a75cb9956af28760c53ebba36b0a0af17afebd5e3fb66302a127db9871403f2595"></a>AMMO_MAG_RNG&#160;</td><td class="fielddoc"><p >Fully randomizes the ammo type instead of picking one random for the entire mag (needs to have type as empty string) </p>
</td></tr>
<tr><td class="fieldname"><a id="a75cb9956af28760c53ebba36b0a0af17a165248d28fbe49e494380c72e9db7c02" name="a75cb9956af28760c53ebba36b0a0af17a165248d28fbe49e494380c72e9db7c02"></a>AMMO_CHAMBER_RNG&#160;</td><td class="fielddoc"><p >Fully randomizes the ammo type instead of picking one random for all chambers (needs to have type as empty string) </p>
</td></tr>
<tr><td class="fieldname"><a id="a75cb9956af28760c53ebba36b0a0af17a63b1e1107193fa3f5a64324b64056604" name="a75cb9956af28760c53ebba36b0a0af17a63b1e1107193fa3f5a64324b64056604"></a>MAX_CAPACITY_MAG&#160;</td><td class="fielddoc"><p >Instead of randomizing when type is empty, it looks for the one which has the highest capacity. </p>
</td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../de/df2/_weapon___base_8c_source.html#l00011">11</a> of file <a class="el" href="../../de/df2/_weapon___base_8c_source.html">Weapon_Base.c</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_76b70e186f3f0441d93c60d5e78b0414.html">Firearms</a></li><li class="navelem"><a class="el" href="../../de/df2/_weapon___base_8c.html">Weapon_Base.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
